# Migration Guide

Already have a Nuxt project to migrate? These migration guides are for users wanting to upgrade their Nuxt application to Nuxt 3 or take a first step in that direction with Nuxt Bridge.

- [**From Nuxt 2 to Nuxt 3**](/migration/overview)
- [From Nuxt 2 to Nuxt Bridge](/bridge/overview)

## Feature Comparation

In the table below, there is a quick comparison between 3 versions of Nuxt:

Feature / Version        | Nuxt 2          | Nuxt Bridge      | Nuxt 3
-------------------------|-----------------|------------------|---------
Vue                      | 2               | 2                | 3
Stability                | 😊 Stable      | 😌 Semi-stable   | 😬 Unstable
Performance              | 🏎 Fast        | ✈️ Faster        | 🚀 Fastest
Nitro Engine             | ❌             | ✅               | ✅
ESM support              | 🌙 Partial     | 👍 Better        | ✅
TypeScript               | ☑️ Opt-in      | 🚧 Partial       | ✅
Composition API          | ❌             | 🚧 Partial       | ✅
Options API              | ✅             | ✅               | ✅
Components Auto Import   | ✅             | ✅               | ✅
`<script setup>` syntax  | ❌             | 🚧 Partial       | ✅
Auto Imports             | ❌             | ✅               | ✅
Webpack                  | 4              | 4                | 5
Vite                     | ⚠️ Partial     | 🚧 Partial       | 🚧 Experimental
Nuxi CLI                 | ❌ Old         | ✅ nuxi          | ✅ nuxi
Static sites             | ✅             | ✅               | 🚧
