# Lifecycle Hooks

::ReadMore{link="/guide/going-further/hooks"}
::

# App Hooks (runtime)

Check the [app source code](https://github.com/nuxt/framework/blob/main/packages/nuxt3/src/app/nuxt.ts#L18) for all available hooks.

Hook                   | Arguments         | Description
-----------------------|-------------------|---------------
`app:created`          | `vueApp`          | When initial `vueApp` instance is created
`app:beforeMount`      | `vueApp`          | Same as `app:created`
`app:mounted`          | `vueApp`          | When Vue app is initialized and mounted in browser
`app:rendered`         | -                 | When SSR rendering is done
`app:suspense:resolve` | `appComponent`    | On [Suspense](https://vuejs.org/guide/built-ins/suspense.html#suspense) resolved event
`page:start`           | `pageComponent`   | On [Suspense](https://vuejs.org/guide/built-ins/suspense.html#suspense) pending event
`page:finish`          | `pageComponent`   | On [Suspense](https://vuejs.org/guide/built-ins/suspense.html#suspense) resolved event
`meta:register`        | `metaRenderers`   | (internal)
`vue:setup`            | -                 | (internal)

# Nuxt Hooks (build time)

Check the [schema source code](https://github.com/nuxt/framework/blob/main/packages/schema/src/types/hooks.ts#L55) for all available hooks.

::NeedContribution
::
