---
title: Overview
head.title: 'Migrate from Nuxt 2 to Nuxt 3'
head.titleTemplate: ''
---

# Migrate from Nuxt 2 to Nuxt 3

Nuxt 3 is a complete rewrite of Nuxt 2, and also based on a new set of underlying technologies. That means there will be significant changes when migrating a Nuxt 2 app to Nuxt 3, although you can expect migration to become more straightforward as we move toward a stable release.

<!-- 
::alert{type=info}
Nuxt 3 is now in release candidate stage. The main goal of the release candidate stage is to **increase the adoption rate of Nuxt 3** and **increase stability**. However, it is still in continued development. Read more about [Nuxt 3 release candidate status](https://github.com/nuxt/framework/discussions/3447).
:: 
-->

::alert{type=info}
This migration guide is under progress to align with the development of Nuxt 3.
::

Some of these significant changes include:

1. Moving from Vue 2 to Vue 3, including defaulting to the Composition API and script setup.
1. Moving from webpack 4 and Babel to Vite or webpack 5 and esbuild.
1. Moving from a runtime Nuxt dependency to a minimal, standalone server compiled with nitropack.

::alert{type=info}
If you need to remain on Nuxt 2, but want to benefit from Nuxt 3 features in Nuxt 2, you can alternatively check out [how to get started with Bridge](/bridge).
::
