---
head.title: 'Nuxt 2 to Nuxt 3: Auto Imports'
head.titleTemplate: ''
---

# Auto Imports

Nuxt 3 adopts a minimal friction approach, meaning wherever possible components and composables are auto-imported.

::alert{type=info}
In the rest of the migration documentation, you will notice that key Nuxt and Vue utilities do not have explicit imports. This is not a typo; Nuxt will automatically import them for you, and you should get full type hinting if you have followed [the instructions](/migration/configuration#typescript) to use Nuxt's TypeScript support.
::

[Read more about auto imports](/guide/concepts/auto-imports)

## Migration

1. If you have been using `@nuxt/components` in Nuxt 2, you can remove `components: true` in your `nuxt.config`. If you had a more complex setup, then note that the component options have changed somewhat. See the [components documentation](/guide/directory-structure/components) for more information.

::alert{type=info}
You can look at `.nuxt/types/components.d.ts` and `.nuxt/types/auto-imports.d.ts` to see how Nuxt has resolved your components and composable auto-imports.
::
